V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
Distributions
Ubuntu
Fedora
CentOS
中文资源站
网易开源镜像站
strayingfar
V2EX  ›  Linux

关于 kde 输入法的界面问题

  •  
  •   strayingfar · 2021-04-05 10:45:51 +08:00 · 2692 次点击
    这是一个创建于 490 天前的主题,其中的信息可能已经有所发展或是发生改变。

    既然 Gnome 中的输入法有集成的界面( ibus ),和整个桌面的风格匹配,那么 kde 当中应该也有类似的界面吧,我在 kde 中卡出来过这个界面,在第一次打开 Wayland 会话的时候,有没有办法让输入法使用这个包装过的界面呢?

    11 条回复    2021-04-09 19:34:05 +08:00
    anytk
        1
    anytk  
       2021-04-05 11:08:16 +08:00 via Android
    看你用的啥输入法,我用的 fcitx 5 是有的,KDE 哪怕 Wayland 都有集成设置界面
    bsidb
        2
    bsidb  
       2021-04-05 13:16:13 +08:00
    KDE 有一个的 widget 有一个“输入法面板( Input Method Panel )”,把这个 widget 添加到任务栏即可。然后配合 fcitx 输入法使用。
    imn1
        3
    imn1  
       2021-04-05 14:57:16 +08:00
    第一次打开是什么意思?
    fcitx 装了 fcitx-config 后,setting 里面就有,任务栏也有,fcitx 有 qt 版本,kde 就是用这个版本的
    superhxl
        4
    superhxl  
       2021-04-05 15:46:03 +08:00
    @anytk 我用 manjaro,fcitx5 在 wps 中无法激活,无法输入中文。请问你是怎么处理的?网上搜了几个方案都不行。fcitx5 + rime,浏览器中输入没有任何问题。
    server
        5
    server  
       2021-04-05 20:37:23 +08:00
    fcitx5, 楼上那个 wps 情况 看看 fcitx5-qt fcitx5-gtk4 装了吗,ps 下 wps 卸载了,太卡,换回 libreoffice
    yanqiyu
        6
    yanqiyu  
       2021-04-06 01:33:57 +08:00
    Do you mean: kimpanel

    @superhxl 你的输入法环境变量以及 WPS 版本是?可以参照这里的讨论 https://github.com/fcitx/fcitx5/issues/83
    以及 https://plumz.me/archives/12331/

    并且 fcitx5 自带的界面其实也还行,尤其是 csslayer 做了 Client Side Input panel 之后在 Wayland 下可用性大增。
    strayingfar
        7
    strayingfar  
    OP
       2021-04-06 13:22:00 +08:00
    @anytk
    @bsidb
    @imn1 抱歉我没说清楚,我说的是输入框主题,就是打字的时候弹出的候选词的框框。kde 下面貌似也有类似的集成,但是我只偶尔卡出来过一次,而且重启就消失了。
    strayingfar
        8
    strayingfar  
    OP
       2021-04-06 13:23:06 +08:00
    新手不会发图抱歉
    bsidb
        9
    bsidb  
       2021-04-07 15:09:53 +08:00
    @strayingfar 那个 input method panel 添加后应该会自动接管 fcitx 输入法面板,包括候选单词的框也是,会采用 plasma 原生的样式。
    strayingfar
        10
    strayingfar  
    OP
       2021-04-07 15:22:16 +08:00
    @bsidb 能截个图看看么?
    superhxl
        11
    superhxl  
       2021-04-09 19:34:05 +08:00
    @server 确实没安装 fcitx5-qt,已安装,感谢!
    @yanqiyu 多谢,wps 最新版 11.1.0.10161,按照 archlinux wiki 提示设置已经可以了。
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   4255 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 24ms · UTC 01:41 · PVG 09:41 · LAX 18:41 · JFK 21:41
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.